Subject: prefix/suffix question (Was: Re: unsuccessful subscribe)

From: Ron Tapia <[email-masked]>
Date: Thu, 17 Jun 1993 12:10:45 -0700

[email-masked] writes,

     I Am Working On A Client Project At The Media Lab And I Am Trying To
     Make It Easier For The Client To Recognize Certain Unexpected Text.
     I Would Like To
     Modify The Notify Verb So That It Could Set The PREFIX And SUFFIX.
     So Far I
     have been only able to override my tell verb and bracket the pass(@args)
     Call With Pass("Prefix") And Pass("Suffix") To Simulate A PREFIX And
     SUFFIX.

     like this:

             Pass(">>PREFIX Object");
             pass(@args);
             Pass(">>SUFFIX Object");

     I Have Two Questions: How Can I Directly Change The PREFIX And SUFFIXes
     From WITHIN A Verb, And How Can I Do This For NOTIFY Rather Than TELL?
     Using TELL Works With Most Objects, But There Are A Few Objects That
     Use NOTIFY Rather Than TELL And They Slip Through My Changes.

I don't think that you can change the PREFIX and SUFFIX from within a verb. You
probably don't want to. They are provided so that clients can reasonably
determine the beginning and end of MOO output. The client should have complete
control over these strings.

Note that your simulation is not accurate. The PREFIX and SUFFIX prepended and
appended to the output of each command and have nothing to do with the verbs
tell and notify.

-Ron Tapia